<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org" xml:id="CEAS_ZDiode">
    <refnamediv>
        <refname>CEAS_ZDiode</refname>
        <refpurpose>CEAS_ZDiode Coselica block</refpurpose>
    </refnamediv>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../images/gif/CEAS_ZDiode.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
    </refsection>
    <refsection id="Description_CEAS_ZDiode">
        <title>Description</title>
        <para>
            Zener Diode with 3 working areas
        </para>
    </refsection>
    <refsection id="Palette_CEAS_ZDiode">
        <title>Palette</title>
        <itemizedlist>
            <listitem>
                <para>
                    <link linkend="Electrical_pal">Electrical - Coselica toolbox</link>
                </para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../images/gui/CEAS_ZDiode_gui.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">Ids [A] : Saturation current</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0.000001</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Vt [V] : Voltage equivalent of temperature (kT/qn)</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0.04</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Maxexp [-] : Max. exponent for linear continuation</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 30</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">R [Ohm] : Parallel ohmic resistance</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 1.000D+08</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Bv [V] : Breakthrough voltage = Zener- or Z-voltage</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 5.1</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Ibv [A] : Breakthrough knee current</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0.7</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Nbv [-] : Breakthrough emission coefficient</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 0.74</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Defaultproperties_CEAS_ZDiode">
        <title>Block Model / Default properties</title>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">Inputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'p'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Electrical type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Outputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'n'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Electrical type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Parameters :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Ids'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0.000001
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Vt'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0.04
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Maxexp'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 30
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'R'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 1.000D+08
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Bv'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 5.1
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Ibv'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0.7
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'Nbv'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 0.74
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Interfacingfunction_CEAS_ZDiode">
        <title>Interfacing function</title>
        <itemizedlist>
            <listitem>
                <para>CEAS_ZDiode.sci</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Modelicamodel_CEAS_ZDiode">
        <title>Modelica model</title>
        <itemizedlist>
            <listitem>
                <para>Coselica.Electrical.Analog.Semiconductors.ZDiode in COSELICA/macros/Coselica.mo file</para>
            </listitem>
        </itemizedlist>
    </refsection>
</refentry>
